Loading...
Searching...
No Matches
N_geom_data Struct Reference

Geometric information about the structured grid. More...

`#include <N_pde.h>`

## Data Fields

int | planimetric
double * | area
int | dim
double | dx
double | dy
double | dz
double | Az
int | depths
int | rows
int | cols

## Detailed Description

Geometric information about the structured grid.

Definition at line 101 of file N_pde.h.

## Field Documentation

## area

double* N_geom_data::area

Definition at line 104 of file N_pde.h.

Referenced by N_alloc_geom_data(), N_free_geom_data(), N_get_geom_data_area_of_cell(), and N_init_geom_data_2d().

## Az

double N_geom_data::Az

Definition at line 112 of file N_pde.h.

Referenced by N_get_geom_data_area_of_cell(), and N_init_geom_data_2d().

## cols

int N_geom_data::cols

Definition at line 116 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_compute_gradient_field_2d(), N_compute_gradient_field_3d(), N_init_geom_data_2d(), N_les_integrate_dirichlet_2d(), and N_les_integrate_dirichlet_3d().

## depths

int N_geom_data::depths

Definition at line 114 of file N_pde.h.

Referenced by N_assemble_les_3d_param(), N_callback_gwflow_3d(), N_compute_gradient_field_3d(), N_init_geom_data_3d(), and N_les_integrate_dirichlet_3d().

## dim

int N_geom_data::dim

Definition at line 106 of file N_pde.h.

Referenced by N_alloc_geom_data(), N_init_geom_data_2d(), and N_init_geom_data_3d().

## dx

double N_geom_data::dx

Definition at line 108 of file N_pde.h.

Referenced by N_callback_gwflow_2d(), N_callback_gwflow_3d(), N_callback_solute_transport_2d(), N_callback_solute_transport_3d(), N_callback_template_2d(), N_callback_template_3d(), N_compute_gradient_field_2d(), N_compute_gradient_field_3d(), and N_init_geom_data_2d().

## dy

double N_geom_data::dy

Definition at line 109 of file N_pde.h.

Referenced by N_callback_gwflow_2d(), N_callback_gwflow_3d(), N_callback_solute_transport_2d(), N_callback_solute_transport_3d(), N_callback_template_2d(), N_callback_template_3d(), N_compute_gradient_field_2d(), N_compute_gradient_field_3d(), and N_init_geom_data_2d().

## dz

double N_geom_data::dz

Definition at line 110 of file N_pde.h.

Referenced by N_callback_gwflow_3d(), N_callback_solute_transport_3d(), N_callback_template_3d(), N_compute_gradient_field_3d(), and N_init_geom_data_3d().

## planimetric

int N_geom_data::planimetric

Definition at line 102 of file N_pde.h.

Referenced by N_alloc_geom_data(), N_get_geom_data_area_of_cell(), and N_init_geom_data_2d().

## rows

int N_geom_data::rows

Definition at line 115 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_compute_gradient_field_2d(), N_compute_gradient_field_3d(), N_init_geom_data_2d(), N_les_integrate_dirichlet_2d(), and N_les_integrate_dirichlet_3d().

The documentation for this struct was generated from the following file:

- N_pde.h